Bug 968 - solaris 5.8 samba source build exhibits memory leak
solaris 5.8 samba source build exhibits memory leak
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Printing
3.0.1
All Solaris
: P3 major
: none
Assigned To: Samba Bugzilla Account
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-13 20:25 UTC by duncan robertson
Modified: 2005-11-14 09:28 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description duncan robertson 2004-01-13 20:25:53 UTC
OS: SunOS 5.8 Generic_108528-16 sun4u sparc SUNW,Ultra-4

built from samba 3.0.1 source archive

Built with:
bash-2.03$ /usr/local/bin/gcc --version
gcc (GCC) 3.2

about 50 clients, mix of win2k and some NT boxes, upgrade from previous stable
2.2.7 install. install was running OK for about a week bar some relatively minor 
MSword locking issues, then processes suddenly started getting very large.

some smbd climb to huge sizes.. (excerpt from 'top'):

PID USERNAME THR PR NCE  SIZE   RES STATE   TIME FLTS    CPU COMMAND
6503 root       1 60   0  1.5G  494M sleep   0:07    0 12.62% smbd

and at the same time the log for that smbd shows....

  dmitryk closed file perl/site/lib/auto/Win32/AdminMisc/adminmisc.dll (numopen=2) 
[2004/01/14 13:52:18, 2] smbd/close.c:close_normal_file(228)
  dmitryk closed file perl/site/lib/auto/Win32/Service/Service.dll (numopen=1) 
[2004/01/14 13:52:18, 2] smbd/close.c:close_normal_file(228)
  dmitryk closed file perl/bin/perlcore.dll (numopen=0) 
[2004/01/14 13:55:09, 1] smbd/service.c:make_connection_snum(705)
  barium (172.20.250.56) connect to service ADPRO_K initially as user dmitryk
(uid=480, gid=40) (pid 6503)
[2004/01/14 13:57:30, 0] lib/fault.c:fault_report(36)
  ===============================================================
[2004/01/14 13:57:33, 0] lib/fault.c:fault_report(37)
  INTERNAL ERROR: Signal 11 in pid 6503 (3.0.1)
  Please read the appendix Bugs of the Samba HOWTO collection
[2004/01/14 13:57:33, 0] lib/fault.c:fault_report(39)
  ===============================================================
[2004/01/14 13:57:33, 0] lib/util.c:smb_panic(1400)
  PANIC: internal error
[2004/01/14 13:57:55, 2] auth/auth.c:check_ntlm_password(305)
  check_ntlm_password:  authentication for user [dmitryk] -> [dmitryk] ->
[dmitryk] succeeded
[2004/01/14 13:57:56, 2] rpc_server/srv_spoolss_nt.c:find_printer_index_by_hnd(268)
  find_printer_index_by_hnd: Printer handle not found:
find_printer_index_by_hnd: Printer handle not found: close_printer_handle:
Invalid handle (OTHER:6503:6695)
[2004/01/14 13:57:56, 2] rpc_server/srv_spoolss_nt.c:find_printer_index_by_hnd(268)
  find_printer_index_by_hnd: Printer handle not found:
find_printer_index_by_hnd: Printer handle not found: close_printer_handle:
Invalid handle (OTHER:6503:6695)
[2004/01/14 13:57:57, 0] smbd/connection.c:register_message_flags(220)
  register_message_flags: tdb_fetch failed
[2004/01/14 13:57:57, 0] smbd/connection.c:register_message_flags(220)
  register_message_flags: tdb_fetch failed
[2004/01/14 13:57:57, 0] smbd/connection.c:register_message_flags(220)
  register_message_flags: tdb_fetch failed
[2004/01/14 14:00:14, 0] lib/util_sock.c:write_socket_data(388)
  write_socket_data: write failure. Error = Broken pipe
Comment 1 Gerald (Jerry) Carter 2004-01-14 13:52:40 UTC
I think this is fixed in 3.0.2pre1.  The bug was that 
we were allocating memory off of a long lived TALLOC 
handle that was destroyed until the printer handle was 
closed by the client.
Comment 2 Gerald (Jerry) Carter 2005-08-24 10:17:58 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.
Comment 3 Gerald (Jerry) Carter 2005-11-14 09:28:18 UTC
database cleanup